> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spherepay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Business Representative Before KYB

> Update an existing business representative

Update mutable fields on an existing business representative. Use this endpoint to correct or supplement information before the representative's KYB verification is submitted — for example, to add a tax identification number, update a residential address, or adjust representation details such as title or ownership percentage. Only include fields you want to change; unspecified fields are left unchanged.


## OpenAPI

````yaml openapi/spherepay.yaml PATCH /v2/business-representative/{id}
openapi: 3.0.0
info:
  title: ''
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.spherepay.co
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v2/business-representative/{id}:
    patch:
      summary: Update a Business Representative
      description: Update an existing business representative
      parameters:
        - name: id
          required: true
          in: path
          description: Business Representative ID
          schema:
            minLength: 1
            example: associatedPerson_d972d2f70b9f4d3c8d7cfb32593f395b
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                address:
                  description: >-
                    The address of the business representative. Required if
                    personalInformation is provided.
                  example:
                    line1: 742 North Wabash Avenue
                    line2: Apt 4B
                    city: Chicago
                    postalCode: '60611'
                    state: IL
                    country: USA
                  type: object
                  properties:
                    line1:
                      description: The first line of the street address
                      example: 233 South Wacker Drive
                      type: string
                      minLength: 1
                      maxLength: 255
                    line2:
                      description: >-
                        The second line of the street address (apartment, suite,
                        etc.)
                      example: Suite 4700
                      type: string
                      maxLength: 255
                    city:
                      description: The city name
                      example: Chicago
                      type: string
                      minLength: 1
                      maxLength: 255
                    state:
                      description: >-
                        The state or province code (ISO3166-2 subdivision code).
                        Required for countries that have states/provinces. See
                        State Codes.
                      example: IL
                      type: string
                    postalCode:
                      description: >-
                        The postal or ZIP code. Required for countries that use
                        postal codes
                      example: '60606'
                      type: string
                    country:
                      description: >-
                        The ISO3166-1 Alpha-3 country code (e.g., USA, GBR,
                        CAN). See [Country
                        Codes](/concepts/reference/supported-countries).
                      example: USA
                      type: string
                  required:
                    - line1
                    - city
                    - country
                personalInformation:
                  description: >-
                    Personal information including tax identification details
                    for individual customers. When any tax identification field
                    is provided, all tax identification fields (number, type,
                    country) and address are required. Please refer to the
                    [Individual Verification
                    Criteria](/concepts/onboarding/verification-profile) for the
                    full list of reference.
                  type: object
                  properties:
                    taxIdentificationNumber:
                      description: >-
                        The tax identification number. Required when providing
                        tax identification information. Only alphanumeric
                        characters (letters and numbers) are accepted â€” omit
                        separators such as dashes or spaces (e.g. send
                        "123456789", not "123-45-6789").
                      example: '123456789'
                      type: string
                      minLength: 1
                      pattern: ^[a-zA-Z0-9]+$
                    taxIdentificationNumberType:
                      description: >-
                        The type of tax identification number of the customer.
                        Required when providing tax identification information.
                        Please refer to the [Individual Verification
                        Criteria](/concepts/onboarding/verification-profile) for
                        the full list of reference.
                      example: ssn
                      type: string
                      minLength: 1
                    taxIdentificationNumberCountry:
                      description: >-
                        The ISO3166-1 Alpha-3 country code for the tax
                        identification number. Required when providing tax
                        identification information. See [Country
                        Codes](/concepts/reference/supported-countries).
                      example: USA
                      type: string
                      minLength: 1
                    taxIdentificationNumberDescription:
                      description: >-
                        Description of the tax identification number. Required
                        when type is `other`
                      type: string
                    gender:
                      description: >-
                        The gender of the customer. Required by some
                        verification providers.
                      example: male
                      type: string
                      enum:
                        - male
                        - female
                        - other
                    countryOfBirth:
                      description: >-
                        The ISO3166-1 Alpha-3 country code of the country where
                        the customer was born. See [Country
                        Codes](/concepts/reference/supported-countries).
                      example: USA
                      type: string
                    nationality:
                      description: >-
                        The ISO3166-1 Alpha-3 country code of the customer's
                        nationality. Required by some verification providers.
                        See [Country
                        Codes](/concepts/reference/supported-countries).
                      example: USA
                      type: string
                    middleName:
                      description: >-
                        The customer's middle name. Required for some
                        verification flows.
                      example: James
                      type: string
                      minLength: 1
                      maxLength: 255
                    occupationSocCode:
                      description: >-
                        The customer's occupation as a 6-digit Standard
                        Occupational Classification (SOC) code, validated
                        against the supported occupation list. Required for some
                        verification flows.
                      example: 15-1132
                      type: string
                      minLength: 1
                      maxLength: 20
                    residencyCountry:
                      description: >-
                        The ISO3166-1 Alpha-3 country code of the customer's
                        country of residency. Often satisfied by the address
                        country, but some verification providers require it as a
                        separate attribute. See [Country
                        Codes](/concepts/reference/supported-countries).
                      example: USA
                      type: string
                    sourceOfFunds:
                      description: >-
                        The customer's primary source of funds. Required by some
                        verification providers.
                      example: salary
                      type: string
                      enum:
                        - salary
                        - business_income
                        - investment_returns
                        - inheritance
                        - gift
                        - savings
                        - other
                  required:
                    - taxIdentificationNumber
                    - taxIdentificationNumberType
                    - taxIdentificationNumberCountry
                representationDetails:
                  description: The representation details of the business representative.
                  example:
                    roles:
                      - ubo
                    ownershipPercentage: '50'
                    isControlPerson: true
                    isSigner: true
                    relationshipEstablishedAt: '2020-03-15'
                    title: CEO
                  type: object
                  properties:
                    roles:
                      description: >-
                        The roles of the business representative. Currently the
                        only accepted value is ["ubo"].
                      example:
                        - ubo
                      type: array
                      minItems: 1
                      maxItems: 1
                      items:
                        type: string
                        enum:
                          - ubo
                    ownershipPercentage:
                      description: >-
                        The ownership percentage of the business representative.
                        Must be a positive integer between 25 and 100
                        (inclusive).
                      example: '50'
                      type: string
                      minLength: 1
                    isControlPerson:
                      description: >-
                        Whether the business representative has control over the
                        company or able to make decisions on behalf of the
                        company.
                      example: true
                      type: boolean
                    isSigner:
                      description: >-
                        Whether the business representative is a signer on the
                        company's documents.
                      example: true
                      type: boolean
                    relationshipEstablishedAt:
                      description: >-
                        The date the business representative was established in
                        the company.
                      example: '2020-03-15'
                      type: string
                      minLength: 1
                    title:
                      description: The title of the business representative.
                      example: CEO
                      type: string
                      minLength: 1
                  required:
                    - roles
                    - ownershipPercentage
                    - isControlPerson
                    - isSigner
                    - relationshipEstablishedAt
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessRepresentativeResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Bad Request:
                  summary: Bad Request
                  value:
                    status: 400
                    detail: Invalid request parameters
                    code: address/invalid
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Not Found:
                  summary: Not Found
                  value:
                    status: 404
                    detail: Resource not found
                    code: resource/not-found
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
        '422':
          description: Unprocessable Entity - Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Validation Error:
                  summary: Validation Error
                  value:
                    status: 422
                    detail: Validation failed
                    code: validation/failed
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
                    errors:
                      - detail: Invalid email format
                        pointer: /email
                      - detail: Name is required
                        pointer: /name
components:
  schemas:
    BusinessRepresentativeResponseDto:
      type: object
      properties:
        id:
          description: Business Representative ID
          example: associatedPerson_d972d2f70b9f4d3c8d7cfb32593f395b
          type: string
        customerId:
          description: Customer ID
          example: customer_2f283221a9d44ada800ac7f11f640402
          type: string
        type:
          description: Customer type
          example: individual
          type: string
          enum:
            - individual
        email:
          description: Email address
          example: james.wilson@acmecorp.example.com
          type: string
        phone:
          description: Phone number
          example: '+13125559876'
          type: string
        representationDetails:
          description: Representation details
          type: object
          properties:
            roles:
              description: The roles of the business representative.
              example:
                - ubo
              type: array
              items:
                type: string
                enum:
                  - ubo
            ownershipPercentage:
              description: The ownership percentage of the business representative.
              example: '50'
              type: string
            isControlPerson:
              description: >-
                Whether the business representative has control over the
                company.
              example: true
              type: boolean
            isSigner:
              description: >-
                Whether the business representative is a signer on the company's
                documents.
              example: true
              type: boolean
            relationshipEstablishedAt:
              description: >-
                The date the business representative was established in the
                company.
              example: '2020-03-15'
              type: string
            title:
              description: The title of the business representative.
              example: CEO
              type: string
          required:
            - roles
        verificationProfiles:
          description: Array of verification profiles for the business representative.
          example:
            - name: ubo_kyc_profile_a
              status: incomplete
              criteria:
                complete:
                  - email_address
                  - phone_number
                  - residential_address
                  - tax_identification_number
                  - ownership_percentage
                  - is_control_person
                  - is_signer
                  - relationship_established_at
                  - title
                pending: []
                required:
                  - identity_document
                  - liveness_report_document
                  - proof_of_address_document
                errors: []
          type: array
          items:
            type: object
            properties:
              name:
                description: The name of the verification profile.
                example: kyc_profile_a
                type: string
                enum:
                  - kyc_profile_a
                  - kyb_profile_a
                  - ubo_kyc_profile_a
                  - kyc_profile_b
                  - kyb_profile_b
                  - kyb_profile_c
                  - kyc_profile_c
                  - ubo_kyc_profile_c
              status:
                description: The status of the verification profile.
                example: incomplete
                type: string
                enum:
                  - incomplete
                  - pending
                  - approved
                  - rejected
                  - resubmission_required
              criteria:
                description: The criteria for the verification profile.
                example:
                  complete:
                    - email_address
                    - phone_number
                    - residential_address
                    - tax_identification_number
                  pending: []
                  required:
                    - identity_document
                    - liveness_report_document
                  errors: []
                type: object
                properties:
                  complete:
                    description: Completed fields.
                    example:
                      - email_address
                      - phone_number
                      - residential_address
                      - tax_identification_number
                    type: array
                    items:
                      type: string
                  pending:
                    description: Pending fields. These fields are currently being verified.
                    example: []
                    type: array
                    items:
                      type: string
                  required:
                    description: >-
                      Required fields. These fields are required to be completed
                      before the verification profile can be approved.
                    example:
                      - identity_document
                      - liveness_report_document
                    type: array
                    items:
                      type: string
                  errors:
                    description: The errors that occurred while verifying the fields.
                    example: []
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          enum:
                            - email_verification
                            - phone_verification
                            - residential_address
                            - identity_document
                            - tax_identification_number
                            - liveness_check
                            - terms_of_service
                            - email_address
                            - phone_number
                            - master_service_agreement
                            - legal_name
                            - trade_name
                            - entity_type
                            - entity_type_description
                            - description
                            - registered_address
                            - operating_address
                            - business_representatives
                            - naics_code
                            - website
                            - incorporated_on
                            - identification_number
                            - registration_number
                            - estimated_annual_revenue
                            - expected_monthly_payments
                            - account_purpose
                            - account_purpose_description
                            - source_of_funds
                            - source_of_funds_description
                            - is_dao
                            - regulated_activities
                            - regulated_activities_description
                            - participates_in_regulated_financial_activity
                            - regulated_financial_activity_description
                            - money_services_description
                            - compliance_screening_explanation
                            - operates_in_prohibited_countries
                            - incorporation_cert_document
                            - incorporation_articles_document
                            - shareholder_registry_document
                            - proof_of_nature_of_business_document
                            - proof_of_address_document
                            - liveness_report_document
                            - ownership_percentage
                            - is_control_person
                            - is_signer
                            - relationship_established_at
                            - title
                            - sex
                            - country_of_birth
                            - nationality
                            - middle_name
                            - occupation_soc_code
                            - w8_ben_document
                            - w9_document
                            - w8_ben_e_document
                            - corporate_resolution_document
                            - source_of_funds_document
                            - financial_statements_document
                            - bank_statement_document
                            - regulated_activity_document
                            - flow_of_funds_document
                            - kyc_b_approval
                            - kyb_b_approval
                        detail:
                          type: string
                      required:
                        - name
                required:
                  - complete
                  - pending
                  - required
                  - errors
            required:
              - name
              - status
        createdAt:
          description: The date and time the business representative was created.
          example: '2026-03-10T00:00:08.986Z'
          type: string
        updatedAt:
          description: The date and time the business representative was last updated.
          example: '2026-03-10T00:00:08.986Z'
          type: string
      required:
        - id
        - customerId
        - type
        - verificationProfiles
        - createdAt
        - updatedAt
    ProblemDetailsDto:
      type: object
      properties:
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              pointer:
                type: string
              parameter:
                type: string
              header:
                type: string
            required:
              - detail
        correlationId:
          type: string
      required:
        - status
        - detail
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````